import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useDeployCreate2WizardStore } from '../deployCreate2WizardStore.js';
import { ConfirmInput } from '@inkjs/ui';
import { Box, Text } from 'ink';
export const ShouldVerifyContract = () => {
    const { wizardState, submitShouldVerifyContract } = useDeployCreate2WizardStore();
    if (wizardState.stepId !== 'should-verify-contract') {
        throw new Error('Invalid state');
    }
    return (_jsxs(Box, { paddingX: 1, gap: 1, children: [_jsx(Text, { children: "Do you want to verify the contract on the block explorer?" }), _jsx(ConfirmInput, { onConfirm: () => {
                    submitShouldVerifyContract({ shouldVerifyContract: true });
                }, onCancel: () => {
                    submitShouldVerifyContract({ shouldVerifyContract: false });
                } })] }));
};
